\def\@journal{Recent Advances in Natural Sciences} 
\def\@company{Recent Advances in Natural Sciences}
\newif\ifCLASSOPTIONromanappendices \CLASSOPTIONromanappendicesfalse

% class option conditionals
\newif\ifCLASSOPTIONonecolumn       \CLASSOPTIONonecolumnfalse
\newif\ifCLASSOPTIONtwocolumn       \CLASSOPTIONtwocolumntrue

\newif\ifCLASSOPTIONoneside         \CLASSOPTIONonesidetrue
\newif\ifCLASSOPTIONtwoside         \CLASSOPTIONtwosidefalse

\newif\ifCLASSOPTIONfinal           \CLASSOPTIONfinaltrue
\newif\ifCLASSOPTIONdraft           \CLASSOPTIONdraftfalse
\newif\ifCLASSOPTIONdraftcls        \CLASSOPTIONdraftclsfalse
\newif\ifCLASSOPTIONdraftclsnofoot  \CLASSOPTIONdraftclsnofootfalse

\newif\ifCLASSOPTIONpeerreview      \CLASSOPTIONpeerreviewfalse
\newif\ifCLASSOPTIONpeerreviewca    \CLASSOPTIONpeerreviewcafalse

\newif\ifCLASSOPTIONjournal         \CLASSOPTIONjournaltrue
\newif\ifCLASSOPTIONconference      \CLASSOPTIONconferencefalse
\newif\ifCLASSOPTIONtechnote        \CLASSOPTIONtechnotefalse

\newif\ifCLASSOPTIONnofonttune      \CLASSOPTIONnofonttunefalse

\newif\ifCLASSOPTIONcaptionsoff     \CLASSOPTIONcaptionsofffalse

\newif\ifCLASSOPTIONcomsoc          \CLASSOPTIONcomsocfalse
\newif\ifCLASSOPTIONcompsoc         \CLASSOPTIONcompsocfalse
\newif\ifCLASSOPTIONtransmag        \CLASSOPTIONtransmagfalse

\newif\ifCLASSOPTIONromanappendices \CLASSOPTIONromanappendicesfalse

 \def\RCSfile{rans}%
 \def\RCSversion{2.1}%
 \def\RCSdate{2013/05/15}%
 \def\@shortjnl{\relax}
 \def\@issn{000-0000}
 \def\@shortjid{rans}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{\@shortjid}[\RCSdate, \RCSversion: \@journal]
\def\ABD{\AtBeginDocument}
\newif\ifpreprint \preprintfalse
\newif\ifnonatbib \nonatbibfalse
\newif\iflongmktitle \longmktitlefalse
\newif\ifnopreprintline \nopreprintlinefalse
\newif\ifdoubleblind \doubleblindfalse

\def\@blstr{1}
\newdimen\@bls
\@bls=\baselineskip

\def\@finalWarning{%
  *****************************************************\MessageBreak
   This document is typeset in the CRC style which\MessageBreak
   is not suitable for submission.\MessageBreak
   \MessageBreak
   Please typeset again using 'preprint' option\MessageBreak
   for creating PDF suitable for submission.\MessageBreak
  ******************************************************\MessageBreak
}

\DeclareOption{preprint}{\global\preprinttrue
  \gdef\@blstr{1}\xdef\jtype{0}%
   \AtBeginDocument{\@twosidefalse\@mparswitchfalse}}
\DeclareOption{nopreprintline}{\global\nopreprintlinetrue}
\DeclareOption{final}{\gdef\@blstr{1}\global\preprintfalse}
\DeclareOption{review}{\global\preprinttrue\gdef\@blstr{1.5}}
\DeclareOption{authoryear}{\xdef\@biboptions{round,authoryear}}
\DeclareOption{number}{\xdef\@biboptions{numbers}}
\DeclareOption{numbers}{\xdef\@biboptions{numbers}}
\DeclareOption{nonatbib}{\global\nonatbibtrue}
\DeclareOption{longtitle}{\global\longmktitletrue}
\DeclareOption{5p}{\xdef\jtype{5}\global\preprintfalse
  \ExecuteOptions{twocolumn}}
  \def\jtype{0}
\DeclareOption{3p}{\xdef\jtype{3}\global\preprintfalse}
\DeclareOption{1p}{\xdef\jtype{1}\global\preprintfalse
  \AtBeginDocument{\@twocolumnfalse}}
\DeclareOption{times}{\IfFileExists{txfonts.sty}%
  {\AtEndOfClass{\RequirePackage{txfonts}%
  \gdef\ttdefault{cmtt}%
   \let\iint\relax
  \let\iiint\relax
  \let\iiiint\relax
  \let\idotsint\relax
  \let\openbox\relax}}{\AtEndOfClass{\RequirePackage{times}}}}

\DeclareOption{endfloat}{\IfFileExists{endfloat.sty}
   {\AtEndOfClass{\RequirePackage[markers]{endfloat}}}{}}
\DeclareOption{endfloats}{\IfFileExists{endfloat.sty}
   {\AtEndOfClass{\RequirePackage[markers]{endfloat}}}{}}
\DeclareOption{numafflabel}
   {\AtBeginDocument{\def\theaffn{\arabic{affn}}}} %*%
\DeclareOption{lefttitle}
   {\AtBeginDocument{\def\ranstitlealign{flushleft}}} %*%
\DeclareOption{centertitle}
   {\AtBeginDocument{\def\ranstitlealign{center}}} %*%
\DeclareOption{reversenotenum}
   {\AtBeginDocument{\def\theaffn{\arabic{affn}}
    \def\thefnote{\alph{fnote}}}}
\DeclareOption{doubleblind}{\doubleblindtrue}

\ExecuteOptions{a4paper,10pt,oneside,onecolumn,number,preprint,centertitle}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}
\RequirePackage{graphicx}

\let\comma\@empty
\let\tnotesep\@empty
\let\@title\@empty

\def\useelstitle{}


\def\elsLabel#1{\@bsphack\protected@write\@auxout{}%
         {\string\Newlabel{#1}{\@currentlabel}}\@esphack}
\def\Newlabel#1#2{\expandafter\xdef\csname X@#1\endcsname{#2}}

\def\elsRef#1{\@ifundefined{X@#1}{0}{\csname X@#1\endcsname}}

\let\@tnotemark\@empty

\def\tnotemark[#1]{\@for\mytmark:=#1\do{%
       \expandafter\ifcase\csname X@\mytmark\endcsname\or$^{\star}$\or
       $^{,\star\star}$\fi
    }%
}

\def\tnoteref#1{\tnotemark[{#1}]}
\let\@tnotes\@empty
\newcounter{tnote}
\def\tnotetext[#1]#2{\g@addto@macro\@tnotes{%
  \stepcounter{tnote}\elsLabel{#1}%
    \def\thefootnote{\ifcase\c@tnote\or$\star$\or$\star\star$\fi}%
    \footnotetext{#2}}}

\let\@nonumnotes\@empty
\def\nonumnote#1{\g@addto@macro\@nonumnotes{%
     \let\thefootnote\relax\footnotetext{#1}}}

\newcounter{fnote}
\def\thefnote{\arabic{fnote}}
\def\fnmark[#1]{\let\comma\@empty
    \def\@fnmark{\@for\@@fnmark:=#1\do{%
    \edef\fnotenum{\@ifundefined{X@\@@fnmark}{1}{\elsRef{\@@fnmark}}}%
  \unskip\comma\fnotenum\let\comma,}}%
}

\def\fnref#1{\fnmark[#1]}

\let\@fnotes\@empty\let\@fnmark\@empty
\def\fntext[#1]#2{\g@addto@macro\@fnotes{%
   \refstepcounter{fnote}\elsLabel{#1}%
   \def\thefootnote{\c@fnote}%
   \global\setcounter{footnote}{\c@fnote}%
   \footnotetext{#2}}}

\def\cormark[#1]{\edef\cnotenum{\elsRef{#1}}%
    \unskip\textsuperscript{\sep\ifcase\cnotenum\or
       $\ast$\or$\ast\ast$\fi\hspace{-1pt}}\let\sep=,}

\let\@cormark\@empty
\let\@cornotes\@empty
\newcounter{cnote}
\def\cortext[#1]#2{\g@addto@macro\@cornotes{%
    \refstepcounter{cnote}\elsLabel{#1}%
    \def\thefootnote{\ifcase\thecnote\or$\ast$\or
    $\ast\ast$\fi}%
    \footnotetext{#2}}}

\let\@corref\@empty
\def\corref#1{\edef\cnotenum{\elsRef{#1}}%
    \edef\@corref{\ifcase\cnotenum\or
         $\ast$\or$\ast\ast$\fi\hskip-1pt}}

\def\resetTitleCounters{\c@cnote=0
   \c@fnote=0 \c@tnote=0 \c@footnote=0}

\let\eadsep\@empty
\def\@elseads{}
\let\@elsuads\@empty
\let\@cormark\@empty
\def\hashchar{\expandafter\@gobble\string\~}
\def\underscorechar{\expandafter\@gobble\string\_}
\def\lbracechar{\expandafter\@gobble\string\{}
\def\rbracechar{\expandafter\@gobble\string\}}

\gdef\ead{\@ifnextchar[{\@uad}{\@ead}}
\gdef\@ead#1{\bgroup
   \def\_{\underscorechar}%
   \def\{{\lbracechar}%
   \def~{\hashchar}%
   \def\}{\rbracechar}%
   \edef\tmp{\the\@eadauthor}%
   \immediate\write\@auxout{\string\emailauthor
     {#1}{\expandafter\strip@prefix\meaning\tmp}}%
   \egroup
}
\newcounter{ead}
\gdef\emailauthor#1#2{\stepcounter{ead}%
     \g@addto@macro\@elseads{\raggedright%
      \let\corref\@gobble\def\@@tmp{#1}%
      \eadsep{\ttfamily\expandafter\strip@prefix\meaning\@@tmp}
      (#2)\def\eadsep{\unskip,\space}}%
}
\gdef\@uad[#1]#2{\bgroup
   \def~{\hashchar}%
   \def\_{\underscorechar}%
   \def~{\hashchar}%
   \def\}{\rbracechar}%
   \edef\tmp{\the\@eadauthor}
   \immediate\write\@auxout{\string\urlauthor
     {#2}{\expandafter\strip@prefix\meaning\tmp}}%
  \egroup
}
\gdef\urlauthor#1#2{\g@addto@macro\@elsuads{\let\corref\@gobble%
     \def\@@tmp{#1}\raggedright\eadsep
     {\ttfamily\expandafter\strip@prefix\meaning\@@tmp}\space(#2)%
     \def\eadsep{\unskip,\space}}%
}

\def\elsauthors{}
\def\useauthors{}

\def\pprinttitle{}
\let\authorsep\@empty
\let\sep\@empty
\newcounter{author}
\def\author{\@ifnextchar[{\@@author}{\@author}}

\newtoks\@eadauthor
\def\@@author[#1]#2{\g@addto@macro\elsauthors{%
    \def\baselinestretch{1}%
    \authorsep#2\unskip\textsuperscript{%#1%
      \@for\@@affmark:=#1\do{%
       \edef\affnum{\@ifundefined{X@\@@affmark}{1}{\elsRef{\@@affmark}}}%
     \unskip\sep\affnum\let\sep=,}%
      \ifx\@fnmark\@empty\else\unskip\sep\@fnmark\let\sep=,\fi
      \ifx\@corref\@empty\else\unskip\sep\@corref\let\sep=,\fi
      }%
    \def\authorsep{\unskip,\space}%
    \global\let\sep\@empty\global\let\@corref\@empty
    \global\let\@fnmark\@empty}%
    \@eadauthor={#2}%
    \g@addto@macro\useauthors{#2; }%
}

\def\@author#1{\g@addto@macro\elsauthors{\normalsize%
    \def\baselinestretch{1}%
    \upshape\authorsep#1\unskip\textsuperscript{%
      \ifx\@fnmark\@empty\else\unskip\sep\@fnmark\let\sep=,\fi
      \ifx\@corref\@empty\else\unskip\sep\@corref\let\sep=,\fi
      }%
    \def\authorsep{\unskip,\space}%
    \global\let\@fnmark\@empty
    \global\let\@corref\@empty    \global\let\sep\@empty}%
    \@eadauthor={#1}%
    \g@addto@macro\useauthors{#1; }%
}

\AtBeginDocument{%
  \@ifpackageloaded{hyperref}{%
    \expandafter\gdef\csname Hy@title\endcsname{\useelstitle}%
    \expandafter\gdef\csname Hy@author\endcsname{\useauthors}%
   }{}
}

\def\elsaddress{}
\def\addsep{\par\vskip6pt}
\def\address{\@ifnextchar[{\@@address}{\@address}}

\def\@alph#1{%
  \ifcase#1\or a\or b\or c\or d\or e\or f\or g\or h\or i\or j\or k\or
  l\or m\or n\or o\or p\or q\or r\or s\or t\or u\or v\or w\or x\or
  y\or z%
  \or aa\or ab\or ac\or ad\or ae\or af\or ag\or ah\or ai\or aj\or
  ak\or al\or am\or an\or ao\or ap\or aq\or ar\or as\or at\or au\or
  av\or aw\or ax\or ay\or az%
  \or ba\or bb\or bc\or bd\or be\or bf\or bg\or bh\or bi\or bj\or
  bk\or bl\or bm\or bn\or bo\or bp\or bq\or br\or bs\or bt\or bu\or
  bv\or bw\or bx\or by\or bz%
  \or ca\or cb\or cc\or cd\or ce\or cf\or cg\or ch\or ci\or cj\or
  ck\or cl\or cm\or cn\or co\or cp\or cq\or cr\or cs\or ct\or cu\or
  cv\or cw\or cx\or cy\or cz%
  \or da\or db\or dc\or dd\or de\or df\or dg\or dh\or di\or dj\or
  dk\or dl\or dm\or dn\or do\or dp\or dq\or dr\or ds\or dt\or du\or
  dv\or dw\or dx\or dy\or dz%
  \or ea\or eb\or ec\or ed\or ee\or ef\or eg\or eh\or ei\or ej\or
  ek\or el\or em\or en\or eo\or ep\or eq\or er\or es\or et\or eu\or
  ev\or ew\or ex\or ey\or ez%
  \or fa\or fb\or fc\or fd\or fe\or ff\or fg\or fh\or fi\or fj\or
  fk\or fl\or fm\or fn\or fo\or fp\or fq\or fr\or fs\or ft\or fu\or
  fv\or fw\or fx\or fy\or fz%
  \or ga\or gb\or gc\or gd\or ge\or gf\or gg\or gh\or gi\or gj\or
  gk\or gl\or gm\or gn\or go\or gp\or gq\or gr\or gs\or gt\or gu\or
  gv\or gw\or gx\or gy\or gz%
  \else\@ctrerr\fi}

\newcounter{affn}
\renewcommand\theaffn{\alph{affn}}

\long\def\@@address[#1]#2{\g@addto@macro\elsaddress{%
    \def\baselinestretch{1}%
     \refstepcounter{affn}
     \xdef\@currentlabel{\theaffn}
     \elsLabel{#1}%
    \textsuperscript{\theaffn}#2\par}}

\long\def\@address#1{\g@addto@macro\elsauthors{%
    \def\baselinestretch{1}%
    \addsep\footnotesize\itshape#1\def\addsep{\par\vskip6pt}%
    \def\authorsep{\par\vskip8pt}}}

\newbox\absbox
\let\@ransabstitle\@empty %*%
\def\abstracttitle#1{\gdef\@ransabstitle{#1}} %*%
\abstracttitle{Abstract} %*%
\renewenvironment{abstract}{\global\setbox\absbox=\vbox\bgroup
  \hsize=\textwidth\def\baselinestretch{1}%
  \noindent\unskip\textbf{\@ransabstitle} %*%
 \par\medskip\noindent\unskip\ignorespaces}
 {\egroup}

\newbox\keybox
\let\@ranskwdtitle\@empty %*%
\def\keywordtitle#1{\gdef\@ranskwdtitle{#1}} %*%
\def\keywordtitlesep#1{\gdef\@ranskeywordtitlesep{#1}} %*%
\keywordtitle{Keywords} %*%
\keywordtitlesep{:\ }
\def\keyword{%
  \def\sep{\unskip, }%
 \def\MSC{\@ifnextchar[{\@MSC}{\@MSC[2000]}}
  \def\@MSC[##1]{\par\leavevmode\hbox {\it ##1~MSC:\space}}%
  \def\PACS{\par\leavevmode\hbox {\it PACS:\space}}%
  \def\JEL{\par\leavevmode\hbox {\it JEL:\space}}%
  \global\setbox\keybox=\vbox\bgroup\hsize=\textwidth
  \normalsize\normalfont\def\baselinestretch{1}
  \parskip\z@
  \noindent\textit{\@ranskwdtitle\@ranskeywordtitlesep}
  \raggedright                         % Keywords are not justified.
  \ignorespaces}
\def\endkeyword{\par \egroup}

\newdimen\Columnwidth
\Columnwidth=\columnwidth

\def\printFirstPageNotes{%
  \iflongmktitle
   \let\columnwidth=\textwidth
  \fi
\ifdoubleblind
\else
  \ifx\@tnotes\@empty\else\@tnotes\fi
  \ifx\@nonumnotes\@empty\else\@nonumnotes\fi
  \ifx\@cornotes\@empty\else\@cornotes\fi
  \ifx\@elseads\@empty\relax\else
   \let\thefootnote\relax
   \footnotetext{\ifnum\theead=1\relax
      \textit{Email address:\space}\else
      \textit{Email addresses:\space}\fi
     \@elseads}\fi
  \ifx\@elsuads\@empty\relax\else
   \let\thefootnote\relax
   \footnotetext{\textit{URL:\space}%
     \@elsuads}\fi
\fi
  \ifx\@fnotes\@empty\else\@fnotes\fi
  \iflongmktitle\if@twocolumn
   \let\columnwidth=\Columnwidth\fi\fi
}

%% Pushing text to begin on newpage %*%
\def\newpage@after@title{title}
\def\newpage@after@author{author}
\def\newpage@after@abstract{abstract}
\def\newpageafter#1%
    {\gdef\@ransnewpageafter{#1}}

\long\def\pprintMaketitle{\clearpage
  \iflongmktitle\if@twocolumn\let\columnwidth=\textwidth\fi\fi
  \resetTitleCounters
  \def\baselinestretch{1}%
  \printFirstPageNotes
  \begin{\ranstitlealign}%
 \thispagestyle{pprintTitle}%
   \def\baselinestretch{1}%
    \Large\@title\par\vskip18pt%
    \ifx\@ransnewpageafter\newpage@after@title% %*%
      \newpage
    \fi%
    \ifdoubleblind
      \vspace*{2pc}
    \else
      \normalsize\elsauthors\par\vskip10pt
      \footnotesize\itshape\elsaddress\par\vskip36pt
    \fi
    \ifx\@ransnewpageafter\newpage@after@author% %*%
      \newpage
    \fi%
    \hrule\vskip12pt
    \ifvoid\absbox\else\unvbox\absbox\par\vskip10pt\fi
    \ifvoid\keybox\else\unvbox\keybox\par\vskip10pt\fi
    \hrule\vskip12pt
    \ifx\@ransnewpageafter\newpage@after@abstract% %*%
      \newpage
    \fi%
    \end{\ranstitlealign}%
    \gdef\thefootnote{\arabic{footnote}}%
  }

\def\printWarning{%
     \mbox{}\par\vfill\par\bgroup
     \fboxsep12pt\fboxrule1pt
     \hspace*{.18\textwidth}
     \fcolorbox{gray50}{gray10}{\box\warnbox}
     \egroup\par\vfill\thispagestyle{empty}
     \setcounter{page}{0}
     \clearpage}

\long\def\finalMaketitle{%
  \resetTitleCounters
  \def\baselinestretch{1}%
   \MaketitleBox
   \thispagestyle{pprintTitle}%
  \gdef\thefootnote{\arabic{footnote}}%
  }

\long\def\MaketitleBox{%
  \resetTitleCounters
  \def\baselinestretch{1}%
  \begin{\ranstitlealign}%
   \def\baselinestretch{1}%
    \Large\@title\par\vskip18pt
  \ifdoubleblind
    \vspace*{2pc}
  \else
    \normalsize\elsauthors\par\vskip10pt
    \footnotesize\itshape\elsaddress\par\vskip36pt
  \fi
    \hrule\vskip12pt
    \ifvoid\absbox\else\unvbox\absbox\par\vskip10pt\fi
    \ifvoid\keybox\else\unvbox\keybox\par\vskip10pt\fi
    \hrule\vskip12pt
    \end{\ranstitlealign}%
  }

\def\FNtext#1{\par\bgroup\footnotesize#1\egroup}
\newdimen\space@left
\def\alarm#1{\typeout{******************************}%
             \typeout{#1}%
             \typeout{******************************}%
}

\def\titlespancalculator#1#2#3#4{\@tempcnta=#4\relax%break count
\advance\@tempcnta by 1\relax%pagebreakcount increment
\@tempdima=#1\relax%title page height
\@tempdimb=#2\relax%Page height - title page notes height 
%(only for first break) Page height - textheight (for remaining breaks)
\advance\@tempdima -\the\@tempdimb%Remaining title page height
\ifdim\the\@tempdima>#3\relax%Checks if remaining title page 
%height less than textheight
\titlespancalculator{\the\@tempdima}{#3}{#3}{\the\@tempcnta}%Break again
\else%
\xdef\savetitlepagespan{\the\@tempcnta}%Save break count and exit.
\fi}%
\long\def\myfor#1#2#3{\@tempcnta=#1\relax
\ifnum#1<#2\relax%
\advance\@tempcnta by 1\relax%
#3%
\myfor{\the\@tempcnta}{#2}{#3}%
\else\fi}



\long\def\getSpaceLeft{%\global\@twocolumnfalse%
   \global\setbox0=\vbox{\hsize=\textwidth\MaketitleBox}%
   \global\setbox1=\vbox{\hsize=\textwidth
    \let\footnotetext\FNtext
    \printFirstPageNotes}%
    \xdef\noteheight{\the\ht1}%
    \xdef\titleheight{\the\ht0}%
    \@tempdima=\vsize
    \advance\@tempdima-\noteheight
    \advance\@tempdima-1\baselineskip
    \xdef\savefpageheight{\the\@tempdima}%    
    \setbox2=\vbox{\titlespancalculator{\titleheight}{\savefpageheight}{\textheight}{0}}%
}

  \skip\footins=24pt

\newbox\els@boxa
\newbox\els@boxb

\ifpreprint
  \def\maketitle{\pprintMaketitle}
\else
   \ifnum\jtype=1
    \def\maketitle{%
      \iflongmktitle\getSpaceLeft
      \ifdim\noteheight>0pt%
			\advance\@tempdima-1.35\baselineskip
      \fi%      
       \global\setbox\els@boxa=\vsplit0 to \@tempdima
       \box\els@boxa\par\resetTitleCounters
       \thispagestyle{pprintTitle}%
       \printFirstPageNotes
       \ifnum\savetitlepagespan>1\relax%
       \myfor{2}{\savetitlepagespan}{%
       \global\setbox\els@boxb=\vsplit0 to \textheight%\@tempdima              
       \box\els@boxb}
       \else%
       \fi%       
       \box0%
      \else
       \finalMaketitle\printFirstPageNotes
      \fi
    \gdef\thefootnote{\arabic{footnote}}}%
  \else
 \ifnum\jtype=5
    \def\maketitle{%
      \iflongmktitle\getSpaceLeft
      \ifdim\noteheight>0pt%
			\advance\@tempdima-1.35\baselineskip
      \fi%      
       \global\setbox\els@boxa=\vsplit0 to \@tempdima
       \box\els@boxa\par\resetTitleCounters
       \thispagestyle{pprintTitle}%
       \printFirstPageNotes
       \ifnum\savetitlepagespan>1\relax%
       \myfor{2}{\savetitlepagespan}{%
       \global\setbox\els@boxb=\vsplit0 to \textheight%\@tempdima              
       \twocolumn[\box\els@boxb]}       
       \else%
       \fi%
       \twocolumn[\box0]%\printFirstPageNotes
      \else
       \twocolumn[\finalMaketitle]\printFirstPageNotes
     \fi
     \gdef\thefootnote{\arabic{footnote}}}
  \else
  \if@twocolumn
    \def\maketitle{%
      \iflongmktitle\getSpaceLeft
      \ifdim\noteheight>0pt%
			\advance\@tempdima-1.35\baselineskip
      \fi%      
       \global\setbox\els@boxa=\vsplit0 to \@tempdima
       \box\els@boxa\par\resetTitleCounters
       \thispagestyle{pprintTitle}%
       \printFirstPageNotes
       \ifnum\savetitlepagespan>1\relax%
       \myfor{2}{\savetitlepagespan}{%
       \global\setbox\els@boxb=\vsplit0 to \textheight%\@tempdima              
       \twocolumn[\box\els@boxb]}
       \else%
       \fi%       
       \twocolumn[\box0]%
      \else
       \twocolumn[\finalMaketitle]\printFirstPageNotes
      \fi
     \gdef\thefootnote{\arabic{footnote}}}%
   \else
    \def\maketitle{%
      \iflongmktitle\getSpaceLeft
      \ifdim\noteheight>0pt%
			\advance\@tempdima-1.35\baselineskip
      \fi%
       \global\setbox\els@boxa=\vsplit0 to \@tempdima
       \box\els@boxa\par\resetTitleCounters
       \thispagestyle{pprintTitle}%
       \printFirstPageNotes
       \ifnum\savetitlepagespan>1\relax%
       \myfor{2}{\savetitlepagespan}{%
       \global\setbox\els@boxb=\vsplit0 to \textheight%\@tempdima              
       \box\els@boxb}
       \else%
       \fi%              
       \box0%
     \else
       \finalMaketitle\printFirstPageNotes
      \fi
    \gdef\thefootnote{\arabic{footnote}}}%
   \fi
  \fi
 \fi
\fi

\let\@ransmyfooter\@empty
\let\@ransmyfooteralign\@empty
\def\@ransmyfooteralignleft{L}
\def\@ransmyfooteralignright{R}
\def\@ransmyfooteraligncenter{C}

\def\myfooter[#1]#2 %*%
      {\gdef\@ransmyfooteralign{#1}
       \gdef\@ransmyfooter{#2}}


\def\myfooterfont#1{\gdef\@myfooterfont{#1}}
\myfooterfont{\footnotesize\itshape}
\def\ps@pprintTitle{%
     \let\@oddhead\@empty
     \let\@evenhead\@empty
     \def\@oddfoot
       {\hbox to \textwidth%
        {\ifnopreprintline\relax\else
        \@myfooterfont%
         \ifx\@ransmyfooteralign\@ransmyfooteraligncenter%
           \hfil\@ransmyfooter\hfil%
         \else%
         \ifx\@ransmyfooteralign\@ransmyfooteralignleft%
           \@ransmyfooter\hfill{}%
         \else%
         \ifx\@ransmyfooteralign\@ransmyfooteralignright%
           {}\hfill\@ransmyfooter%
         \else%
               Preprint submitted to \ifx\@journal\@empty%
                 RANS%
            \else\@journal\fi\hfill\@date\fi%
         \fi%
         \fi%
         \fi%
         }
       }%
     \let\@evenfoot\@oddfoot}
\def\@seccntDot{.}
\def\@seccntformat#1{\csname the#1\endcsname\@seccntDot\hskip 0.5em}

\renewcommand\section{\@startsection {section}{1}{\z@}%
           {18\p@ \@plus 6\p@ \@minus 3\p@}%
           {9\p@ \@plus 6\p@ \@minus 3\p@}%
           {\normalsize\bfseries\boldmath}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
           {12\p@ \@plus 6\p@ \@minus 3\p@}%
           {3\p@ \@plus 6\p@ \@minus 3\p@}%
           {\normalfont\normalsize\itshape}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
           {12\p@ \@plus 6\p@ \@minus 3\p@}%
           {\p@}%
           {\normalfont\normalsize\itshape}}

\def\paragraph{\secdef{\els@aparagraph}{\els@bparagraph}}
\def\els@aparagraph[#1]#2{\elsparagraph[#1]{#2.}}
\def\els@bparagraph#1{\elsparagraph*{#1.}}

\newcommand\elsparagraph{\@startsection{paragraph}{4}{0\z@}%
           {10\p@ \@plus 6\p@ \@minus 3\p@}%
           {-6\p@}%
           {\normalfont\itshape}}
\newdimen\leftMargin
\leftMargin=2em
\newtoks\@enLab  %\newtoks\@enfont
\def\@enQmark{?}
\def\@enLabel#1#2{%
  \edef\@enThe{\noexpand#1{\@enumctr}}%
  \@enLab\expandafter{\the\@enLab\csname the\@enumctr\endcsname}%
  \@enloop}
\def\@enSpace{\afterassignment\@enSp@ce\let\@tempa= }
\def\@enSp@ce{\@enLab\expandafter{\the\@enLab\space}\@enloop}
\def\@enGroup#1{\@enLab\expandafter{\the\@enLab{#1}}\@enloop}
\def\@enOther#1{\@enLab\expandafter{\the\@enLab#1}\@enloop}
\def\@enloop{\futurelet\@entemp\@enloop@}
\def\@enloop@{%
  \ifx A\@entemp         \def\@tempa{\@enLabel\Alph  }\else
  \ifx a\@entemp         \def\@tempa{\@enLabel\alph  }\else
  \ifx i\@entemp         \def\@tempa{\@enLabel\roman }\else
  \ifx I\@entemp         \def\@tempa{\@enLabel\Roman }\else
  \ifx 1\@entemp         \def\@tempa{\@enLabel\arabic}\else
  \ifx \@sptoken\@entemp \let\@tempa\@enSpace         \else
  \ifx \bgroup\@entemp   \let\@tempa\@enGroup         \else
  \ifx \@enum@\@entemp   \let\@tempa\@gobble          \else
                         \let\@tempa\@enOther
             \fi\fi\fi\fi\fi\fi\fi\fi
  \@tempa}
\newlength{\@sep} \newlength{\@@sep}
\setlength{\@sep}{.5\baselineskip plus.2\baselineskip
            minus.2\baselineskip}
\setlength{\@@sep}{.1\baselineskip plus.01\baselineskip
            minus.05\baselineskip}
\providecommand{\sfbc}{\rmfamily\upshape}
\providecommand{\sfn}{\rmfamily\upshape}
\def\@enfont{\ifnum \@enumdepth >1\let\@nxt\sfn \else\let\@nxt\sfbc \fi\@nxt}
\def\enumerate{%
   \ifnum \@enumdepth >3 \@toodeep\else
      \advance\@enumdepth \@ne
      \edef\@enumctr{enum\romannumeral\the\@enumdepth}\fi
   \@ifnextchar[{\@@enum@}{\@enum@}}
\def\@@enum@[#1]{%
  \@enLab{}\let\@enThe\@enQmark
  \@enloop#1\@enum@
  \ifx\@enThe\@enQmark\@warning{The counter will not be printed.%
   ^^J\space\@spaces\@spaces\@spaces The label is: \the\@enLab}\fi
  \expandafter\edef\csname label\@enumctr\endcsname{\the\@enLab}%
  \expandafter\let\csname the\@enumctr\endcsname\@enThe
  \csname c@\@enumctr\endcsname7
  \expandafter\settowidth
            \csname leftmargin\romannumeral\@enumdepth\endcsname
            {\the\@enLab\hskip\labelsep}%
  \@enum@}
\def\@enum@{\list{{\@enfont\csname label\@enumctr\endcsname}}%
           {\usecounter{\@enumctr}\def\makelabel##1{\hss\llap{##1}}%
     \ifnum \@enumdepth>1\setlength{\topsep}{\@@sep}\else
           \setlength{\topsep}{\@sep}\fi
     \ifnum \@enumdepth>1\setlength{\itemsep}{0pt plus1pt minus1pt}%
      \else \setlength{\itemsep}{\@@sep}\fi
     %\setlength\leftmargin{\leftMargin}%%%{1.8em}
     \setlength{\parsep}{0pt plus1pt minus1pt}%
     \setlength{\parskip}{0pt plus1pt minus1pt}
                   }}

\def\endenumerate{\par\ifnum \@enumdepth >1\addvspace{\@@sep}\else
           \addvspace{\@sep}\fi \endlist}

\def\sitem{\@noitemargtrue\@item[\@itemlabel *]}

\def\itemize{\@ifnextchar[{\@Itemize}{\@Itemize[]}}

\def\@Itemize[#1]{\def\next{#1}%
  \ifnum \@itemdepth >\thr@@\@toodeep\else
   \advance\@itemdepth\@ne
  \ifx\next\@empty\else\expandafter\def\csname
   labelitem\romannumeral\the\@itemdepth\endcsname{#1}\fi%
  \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
  \expandafter\list\csname\@itemitem\endcsname
  {\def\makelabel##1{\hss\llap{##1}}}%
 \fi}
\def\newdefinition#1{%
  \@ifnextchar[{\@odfn{#1}}{\@ndfn{#1}}}%]
\def\@ndfn#1#2{%
  \@ifnextchar[{\@xndfn{#1}{#2}}{\@yndfn{#1}{#2}}}
\def\@xndfn#1#2[#3]{%
  \expandafter\@ifdefinable\csname #1\endcsname
    {\@definecounter{#1}\@newctr{#1}[#3]%
     \expandafter\xdef\csname the#1\endcsname{%
       \expandafter\noexpand\csname the#3\endcsname \@dfncountersep
          \@dfncounter{#1}}%
     \global\@namedef{#1}{\@dfn{#1}{#2}}%
     \global\@namedef{end#1}{\@enddefinition}}}
\def\@yndfn#1#2{%
  \expandafter\@ifdefinable\csname #1\endcsname
    {\@definecounter{#1}%
     \expandafter\xdef\csname the#1\endcsname{\@dfncounter{#1}}%
     \global\@namedef{#1}{\@dfn{#1}{#2}}%
     \global\@namedef{end#1}{\@enddefinition}}}
\def\@odfn#1[#2]#3{%
  \@ifundefined{c@#2}{\@nocounterr{#2}}%
    {\expandafter\@ifdefinable\csname #1\endcsname
    {\global\@namedef{the#1}{\@nameuse{the#2}}
  \global\@namedef{#1}{\@dfn{#2}{#3}}%
  \global\@namedef{end#1}{\@enddefinition}}}}
\def\@dfn#1#2{%
  \refstepcounter{#1}%
  \@ifnextchar[{\@ydfn{#1}{#2}}{\@xdfn{#1}{#2}}}
\def\@xdfn#1#2{%
  \@begindefinition{#2}{\csname the#1\endcsname}\ignorespaces}
\def\@ydfn#1#2[#3]{%
  \@opargbegindefinition{#2}{\csname the#1\endcsname}{#3}\ignorespaces}
\def\@dfncounter#1{\noexpand\arabic{#1}}
\def\@dfncountersep{.}
\def\@begindefinition#1#2{\trivlist
   \item[\hskip\labelsep{\bfseries #1\ #2.}]\upshape}
\def\@opargbegindefinition#1#2#3{\trivlist
      \item[\hskip\labelsep{\bfseries #1\ #2\ (#3).}]\upshape}
\def\@enddefinition{\endtrivlist}

\def\@begintheorem#1#2{\trivlist
  \let\baselinestretch\@blstr
   \item[\hskip \labelsep{\bfseries #1\ #2.}]\itshape}
\def\@opargbegintheorem#1#2#3{\trivlist
  \let\baselinestretch\@blstr
      \item[\hskip \labelsep{\bfseries #1\ #2\ (#3).}]\itshape}

\def\newproof#1{%
  \@ifnextchar[{\@oprf{#1}}{\@nprf{#1}}}
\def\@nprf#1#2{%
  \@ifnextchar[{\@xnprf{#1}{#2}}{\@ynprf{#1}{#2}}}
\def\@xnprf#1#2[#3]{%
  \expandafter\@ifdefinable\csname #1\endcsname
    {\@definecounter{#1}\@newctr{#1}[#3]%
     \expandafter\xdef\csname the#1\endcsname{%
       \expandafter\noexpand\csname the#3\endcsname \@prfcountersep
          \@prfcounter{#1}}%
     \global\@namedef{#1}{\@prf{#1}{#2}}%
     \global\@namedef{end#1}{\@endproof}}}
\def\@ynprf#1#2{%
  \expandafter\@ifdefinable\csname #1\endcsname
    {\@definecounter{#1}%
     \expandafter\xdef\csname the#1\endcsname{\@prfcounter{#1}}%
     \global\@namedef{#1}{\@prf{#1}{#2}}%
     \global\@namedef{end#1}{\@endproof}}}
\def\@oprf#1[#2]#3{%
  \@ifundefined{c@#2}{\@nocounterr{#2}}%
    {\expandafter\@ifdefinable\csname #1\endcsname
    {\global\@namedef{the#1}{\@nameuse{the#2}}%
  \global\@namedef{#1}{\@prf{#2}{#3}}%
  \global\@namedef{end#1}{\@endproof}}}}
\def\@prf#1#2{%
  \refstepcounter{#1}%
  \@ifnextchar[{\@yprf{#1}{#2}}{\@xprf{#1}{#2}}}
\def\@xprf#1#2{%
  \@beginproof{#2}{\csname the#1\endcsname}\ignorespaces}
\def\@yprf#1#2[#3]{%
  \@opargbeginproof{#2}{\csname the#1\endcsname}{#3}\ignorespaces}
\def\@prfcounter#1{\noexpand\arabic{#1}}
\def\@prfcountersep{.}
\def\@beginproof#1#2{\trivlist\let\baselinestretch\@blstr
   \item[\hskip \labelsep{\scshape #1.}]\rmfamily}
\def\@opargbeginproof#1#2#3{\trivlist\let\baselinestretch\@blstr
      \item[\hskip \labelsep{\scshape #1\ (#3).}]\rmfamily}
\def\@endproof{\endtrivlist}
\newcommand*{\qed}{\hbox{}\hfill$\Box$}

\@ifundefined{@biboptions}{\xdef\@biboptions{numbers}}{}
\InputIfFileExists{\jobname.spl}{}{}
\ifnonatbib\relax\else
  \RequirePackage[\@biboptions]{natbib}
\fi
\newwrite\splwrite
\immediate\openout\splwrite=\jobname.spl
\def\biboptions#1{\def\next{#1}\immediate\write\splwrite{%
   \string\g@addto@macro\string\@biboptions{%
    ,\expandafter\strip@prefix\meaning\next}}}

\let\baselinestretch=\@blstr
\ifnum\jtype=1
 \RequirePackage{geometry}
 \geometry{twoside,
  paperwidth=210mm,
  paperheight=297mm,
  textheight=562pt,
  textwidth=384pt,
  centering,
  headheight=50pt,
  headsep=12pt,
  footskip=12pt,
  footnotesep=24pt plus 2pt minus 12pt,
 }
 \global\let\bibfont=\footnotesize
 \global\bibsep=0pt
 \if@twocolumn\global\@twocolumnfalse\fi
\else\ifnum\jtype=3
 \RequirePackage{geometry}
 \geometry{twoside,
  paperwidth=210mm,
  paperheight=297mm,
  textheight=622pt,
  textwidth=468pt,
  centering,
  headheight=50pt,
  headsep=12pt,
  footskip=18pt,
  footnotesep=24pt plus 2pt minus 12pt,
  columnsep=2pc
 }
 \global\let\bibfont=\footnotesize
 \global\bibsep=0pt
 \if@twocolumn\input{fleqn.clo}\fi
\else\ifnum\jtype=5
 \RequirePackage{geometry}
 \geometry{twoside,
  paperwidth=210mm,
  paperheight=297mm,
  textheight=682pt,
  textwidth=522pt,
  centering,
 headheight=50pt,
  headsep=12pt,
  footskip=18pt,
  footnotesep=24pt plus 2pt minus 12pt,
  columnsep=18pt
 }%
 \global\let\bibfont=\footnotesize
 \global\bibsep=0pt
 \input{fleqn.clo}
 \global\@twocolumntrue
%%
%% End of option '5p'
%%
\fi\fi\fi
\def\journal#1{\gdef\@journal{#1}}
 \let\@journal\@empty
\newenvironment{frontmatter}{}{\maketitle}

\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip\footnotesize
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}

\AtBeginDocument{\@ifpackageloaded{hyperref}
  {\def\@linkcolor{blue}
   \def\@citecolor{blue}
   
\begingroup
  \@makeother\`%
  \@makeother\=%
  \edef\x{%
    \edef\noexpand\x{%
      \endgroup
      \noexpand\toks@{%
        \catcode 96=\noexpand\the\catcode`\noexpand\`\relax
        \catcode 61=\noexpand\the\catcode`\noexpand\=\relax
      }%
    }%
    \noexpand\x
  }%
\x
\@makeother\`
\@makeother\=
}{}}
%%

% \APPENDIX and \APPENDICES definitions

% This is the \@ifmtarg command from the LaTeX ifmtarg package
% by Peter Wilson (CUA) and Donald Arseneau
% \@ifmtarg is used to determine if an argument to a command
% is present or not.
% For instance:
% \@ifmtarg{#1}{\typeout{empty}}{\typeout{has something}}
% \@ifmtarg is used with our redefined \section command if
% \appendices is invoked.
% The command \section will behave slightly differently depending
% on whether the user specifies a title: 
% \section{My appendix title}
% or not:
% \section{}
% This way, we can eliminate the blank lines where the title
% would be, and the unneeded : after Appendix in the table of
% contents 
\begingroup
\catcode`\Q=3
\long\gdef\@ifmtarg#1{\@xifmtarg#1QQ\@secondoftwo\@firstoftwo\@nil}
\long\gdef\@xifmtarg#1#2Q#3#4#5\@nil{#4}
\endgroup
% end of \@ifmtarg defs


% V1.7
% command that allows the one time saving of the original definition
% of section to \@IEEEappendixsavesection for \appendix or \appendices 
% we don't save \section here as it may be redefined later by other
% packages (hyperref.sty, etc.)
\def\@IEEEsaveoriginalsectiononce{\let\@IEEEappendixsavesection\section
\let\@IEEEsaveoriginalsectiononce\relax}

% neat trick to grab and process the argument from \section{argument}
% we process differently if the user invoked \section{} with no
% argument (title)
% note we reroute the call to the old \section*
\def\@IEEEprocessthesectionargument#1{%
\@ifmtarg{#1}{%
\@IEEEappendixsavesection*{\appendixname\nobreakspace\thesectiondis}%
\addcontentsline{toc}{section}{\appendixname\nobreakspace\thesection}}{%
\@IEEEappendixsavesection*{\appendixname\nobreakspace\thesectiondis\\* #1}%
\addcontentsline{toc}{section}{\appendixname\nobreakspace\thesection: #1}}}

% we use this if the user calls \section{} after
% \appendix-- which has no meaning. So, we ignore the
% command and its argument. Then, warn the user.
\def\@IEEEdestroythesectionargument#1{\typeout{** WARNING: Ignoring useless
\protect\section\space in Appendix (line \the\inputlineno).}}


% remember \thesection forms will be displayed in \ref calls
% and in the Table of Contents.
% The \sectiondis form is used in the actual heading itself

% appendix command for one single appendix
% normally has no heading. However, if you want a 
% heading, you can do so via the optional argument:
% \appendix[Optional Heading]


% appendices command for multiple appendices
% user then calls \section with an argument (possibly empty) to
% declare the individual appendices
\def\appendices{\@IEEEsaveoriginalsectiononce\par
    % v1.6 keep hyperref's identifiers unique
    \gdef\theHsection{Appendix.\Alph{section}}%
    % v1.6 adjust hyperref's string name for the section
    \xdef\Hy@chapapp{appendix}%
    \setcounter{section}{-1}% we want \refstepcounter to use section 0
    \setcounter{subsection}{0}%
    \setcounter{subsubsection}{0}%
    \setcounter{paragraph}{0}%
    \ifCLASSOPTIONromanappendices%
    \gdef\thesection{\Roman{section}}%
    \gdef\thesectiondis{\Roman{section}}%
    \@IEEEcompsocconfonly{\gdef\thesectiondis{\Roman{section}.}}%
    \gdef\@IEEEthmcounterinsection##1{A\arabic{##1}}
    \else%
    \gdef\thesection{\Alph{section}}%
    \gdef\thesectiondis{\Alph{section}}%
    \@IEEEcompsocconfonly{\gdef\thesectiondis{\Alph{section}.}}%
    \gdef\@IEEEthmcounterinsection##1{\Alph{##1}}
    \fi%
    \refstepcounter{section}% update the \ref counter
    \setcounter{section}{0}% NEXT \section will be the FIRST appendix
    % redefine \section command for appendices
    % leave \section* as is
    \def\section{\@ifstar{\@IEEEappendixsavesection*}{% process the *-form
                    \refstepcounter{section}% or is a new section so,
                    \@IEEEprocessthesectionargument}}% process the argument 
                                                 % of the normal form
}

%%%% \numberline width calculation for appendix.
\newdimen\appnamewidth
\def\tmptocnumberline#1{%
   \setbox0=\hbox{\appendixname}
   \appnamewidth=\wd0
   \addtolength\appnamewidth{2.5pc}
   \hb@xt@\appnamewidth{#1\hfill}
}

%% Added for work with amsrefs.sty

\@ifpackageloaded{amsrefs}%
  {}
  {%\let\bibsection\relax%
  \AtBeginDocument{\def\cites@b#1#2,#3{%
    \begingroup[%
        \toks@{\InnerCite{#2}#1}%
        \ifx\@empty#3\@xp\@gobble\fi
        \cites@c#3%
}}}
%%
%% Added for avoiding clash with cleveref.sty
\@ifpackageloaded{cleveref}%
 {}
 {\def\tnotetext[#1]#2{\g@addto@macro\@tnotes{%
    \refstepcounter{tnote}%
    \immediate\write\@auxout{\string\Newlabel{#1}{\thetnote}}
    \def\thefootnote{\ifcase\c@tnote\or$\star$\or$\star\star$\fi}%
    \footnotetext{#2}}}
%%%
  \def\fntext[#1]#2{\g@addto@macro\@fnotes{%
    \refstepcounter{fnote}%
    \immediate\write\@auxout{\string\Newlabel{#1}{\thefnote}}
    \def\thefootnote{\thefnote}%
    \global\setcounter{footnote}{\c@fnote}%
    \footnotetext{#2}}}
%%%
  \def\cortext[#1]#2{\g@addto@macro\@cornotes{%
    \refstepcounter{cnote}%
    \immediate\write\@auxout{\string\Newlabel{#1}{\thecnote}}
    \def\thefootnote{\ifcase\c@cnote\or$\ast$\or
    $\ast\ast$\fi}%
    \footnotetext{#2}}}
}

\def\textmarker#1#2{\textcolor{#1}{#2}}%*%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\RequirePackage{ifpdf}
\RequirePackage{xkeyval}

\ifpdf
 \pdfmapfile{+ t1-times.map}
 \pdfmapfile{+ t1-formata.map}
 \pdfmapfile{+ t1-giovannistd.map}
\fi

\newif\iflineno\linenofalse
\newif\ifjtehm\jtehmfalse
\newif\ifaccesseditors\accesseditorsfalse
\newif\ifaccesseditorial\accesseditorialfalse
\newif\ifjtehmeditorial\jtehmeditorialfalse


\newif\ifeoddefined\eoddefinedfalse

\DeclareOption{a4paper}{\setlength{\paperheight}{276.2mm}%
                        \setlength{\paperwidth}{203.2mm}%
                        \@IEEEusingAfourpapertrue}


\DeclareOption{accesseditors}{\accesseditorstrue}

\DeclareOption{editorial}{\accesseditorialtrue\accesseditorstrue\jtehmeditorialtrue}

\DeclareOption{lineno}{\linenotrue}

\DeclareOption{nolineno}{\linenofalse}

\DeclareOption{twoside}{\global\@twosidetrue \@mparswitchtrue}

\DeclareOption{jtehm}{\global\jtehmtrue}

%%%%
\newdimen\@draftversionrule\@draftversionrule0pt %%%%% updated
\DeclareOption{draftversion}{\setlength\overfullrule{5pt}\@draftversiontrue\@draftversionrule.1pt\overfullrule 5pt} %%%%% updated
%%%%

% default to US a4paper, 10pt, twocolumn, twosided, final, journal
% If the user selects draft, then this class AND any packages
% will go into draft mode.
\DeclareOption{draft}{\CLASSOPTIONdrafttrue\CLASSOPTIONdraftclstrue
                      \CLASSOPTIONdraftclsnofootfalse} 
% draftcls is for a draft mode which will not affect any packages
% used by the document.
\DeclareOption{draftcls}{\CLASSOPTIONdraftfalse\CLASSOPTIONdraftclstrue
                         \CLASSOPTIONdraftclsnofootfalse} 
% draftclsnofoot is like draftcls, but without the footer.
\DeclareOption{draftclsnofoot}{\CLASSOPTIONdraftfalse\CLASSOPTIONdraftclstrue
                               \CLASSOPTIONdraftclsnofoottrue} 
\DeclareOption{final}{\CLASSOPTIONdraftfalse\CLASSOPTIONdraftclsfalse
                      \CLASSOPTIONdraftclsnofootfalse}

\DeclareOption{journal}{\CLASSOPTIONpeerreviewfalse\CLASSOPTIONpeerreviewcafalse
                        \CLASSOPTIONjournaltrue\CLASSOPTIONconferencefalse\CLASSOPTIONtechnotefalse}

\DeclareOption{conference}{\CLASSOPTIONpeerreviewfalse\CLASSOPTIONpeerreviewcafalse
                           \CLASSOPTIONjournalfalse\CLASSOPTIONconferencetrue\CLASSOPTIONtechnotefalse}

\DeclareOption{technote}{\CLASSOPTIONpeerreviewfalse\CLASSOPTIONpeerreviewcafalse
                         \CLASSOPTIONjournalfalse\CLASSOPTIONconferencefalse\CLASSOPTIONtechnotetrue}

\DeclareOption{peerreview}{\CLASSOPTIONpeerreviewtrue\CLASSOPTIONpeerreviewcafalse
                           \CLASSOPTIONjournalfalse\CLASSOPTIONconferencefalse\CLASSOPTIONtechnotefalse}

\DeclareOption{peerreviewca}{\CLASSOPTIONpeerreviewtrue\CLASSOPTIONpeerreviewcatrue
                             \CLASSOPTIONjournalfalse\CLASSOPTIONconferencefalse\CLASSOPTIONtechnotefalse}

\DeclareOption{nofonttune}{\CLASSOPTIONnofonttunetrue}

\DeclareOption{captionsoff}{\CLASSOPTIONcaptionsofftrue}

\DeclareOption{comsoc}{\CLASSOPTIONcomsoctrue\CLASSOPTIONcompsocfalse\CLASSOPTIONtransmagfalse}

\DeclareOption{compsoc}{\CLASSOPTIONcomsocfalse\CLASSOPTIONcompsoctrue\CLASSOPTIONtransmagfalse}

\DeclareOption{transmag}{\CLASSOPTIONtransmagtrue\CLASSOPTIONcomsocfalse\CLASSOPTIONcompsocfalse}

\DeclareOption{romanappendices}{\CLASSOPTIONromanappendicestrue}


% default to US letter paper, 10pt, twocolumn, one sided, final, journal
\ExecuteOptions{letterpaper,10pt,twocolumn,oneside,final,journal}
% overrride these defaults per user requests
\ProcessOptions

% overrride these defaults per user requests
\ProcessOptions

\ifaccesseditorial
\ifjtehmeditorial\else
  \RequirePackage{ltxutil,ltxgrid}
\fi
\fi

%% Font definitions

% V1.7 provide string macros as article.cls does
\def\contentsname{Contents}
\def\listfigurename{List of Figures}
\def\listtablename{List of Tables}
\def\refname{References}
\def\indexname{Index}
\def\figurename{Fig.}
\def\tablename{TABLE}

\def\partname{Part}
\def\appendixname{Appendix}
\def\abstractname{Abstract}
% IEEE specific names
\def\IEEEkeywordsname{Index Terms}
\def\IEEEproofname{Proof}

\def\timesfont{times}%

% FormataOTF et al
\DeclareFontFamily{T1}{formata}{}
\DeclareFontShape{T1}{formata}{n}{n}{<->   t1-formata-regular}{}
\DeclareFontShape{T1}{formata}{n}{it}{<->  t1-formata-italic}{}
\DeclareFontShape{T1}{formata}{m}{n}{<->   t1-formata-medium}{}
\DeclareFontShape{T1}{formata}{m}{it}{<->  t1-formata-mediumitalic}{}
\DeclareFontShape{T1}{formata}{l}{n}{<->   t1-formata-light}{}
\DeclareFontShape{T1}{formata}{l}{it}{<->  t1-formata-lightitalic}{}
\DeclareFontShape{T1}{formata}{b}{n}{<->   t1-formata-bold}{}
\DeclareFontShape{T1}{formata}{b}{it}{<->  t1-formata-bolditalic}{}
\DeclareFontShape{T1}{formata}{cm}{n}{<->  t1-formata-condmedium}{}
\DeclareFontShape{T1}{formata}{cm}{it}{<-> t1-formata-condmediumital}{}
\DeclareFontShape{T1}{formata}{X}{n}{<->   t1-formata-regsymb}{}

\def\biosc#1{{\fontsize{5.5}{8}\selectfont\MakeUppercase{#1}}}

%%%Hack added for small caps <- added from t1ptm.fd
%\AtBeginDocument{\DeclareFontShape{LY1}{ptm}{m}{sc}{
%   <-> ptmrc8t
%}{}

%\DeclareFontShape{LY1}{ptm}{b}{sc}{
%   <-> ptmbc8t
%}{}}

%%Custom Math Versions for Formata Varients
\AtBeginDocument{%
\DeclareSymbolFont{NewLetters}{T1}{\timesfont}{n}{it}

\DeclareMathSymbol{a}{\mathalpha}{NewLetters}{`a}
\DeclareMathSymbol{b}{\mathalpha}{NewLetters}{`b}
\DeclareMathSymbol{c}{\mathalpha}{NewLetters}{`c}
\DeclareMathSymbol{d}{\mathalpha}{NewLetters}{`d}
\DeclareMathSymbol{e}{\mathalpha}{NewLetters}{`e}
\DeclareMathSymbol{f}{\mathalpha}{NewLetters}{`f}
\DeclareMathSymbol{g}{\mathalpha}{NewLetters}{`g}
\DeclareMathSymbol{h}{\mathalpha}{NewLetters}{`h}
\DeclareMathSymbol{i}{\mathalpha}{NewLetters}{`i}
\DeclareMathSymbol{j}{\mathalpha}{NewLetters}{`j}
\DeclareMathSymbol{k}{\mathalpha}{NewLetters}{`k}
\DeclareMathSymbol{l}{\mathalpha}{NewLetters}{`l}
\DeclareMathSymbol{m}{\mathalpha}{NewLetters}{`m}
\DeclareMathSymbol{n}{\mathalpha}{NewLetters}{`n}
\DeclareMathSymbol{o}{\mathalpha}{NewLetters}{`o}
\DeclareMathSymbol{p}{\mathalpha}{NewLetters}{`p}
\DeclareMathSymbol{q}{\mathalpha}{NewLetters}{`q}
\DeclareMathSymbol{r}{\mathalpha}{NewLetters}{`r}
\DeclareMathSymbol{s}{\mathalpha}{NewLetters}{`s}
\DeclareMathSymbol{t}{\mathalpha}{NewLetters}{`t}
\DeclareMathSymbol{u}{\mathalpha}{NewLetters}{`u}
\DeclareMathSymbol{v}{\mathalpha}{NewLetters}{`v}
\DeclareMathSymbol{w}{\mathalpha}{NewLetters}{`w}
\DeclareMathSymbol{x}{\mathalpha}{NewLetters}{`x}
\DeclareMathSymbol{y}{\mathalpha}{NewLetters}{`y}
\DeclareMathSymbol{z}{\mathalpha}{NewLetters}{`z}
\DeclareMathSymbol{A}{\mathalpha}{NewLetters}{`A}
\DeclareMathSymbol{B}{\mathalpha}{NewLetters}{`B}
\DeclareMathSymbol{C}{\mathalpha}{NewLetters}{`C}
\DeclareMathSymbol{D}{\mathalpha}{NewLetters}{`D}
\DeclareMathSymbol{E}{\mathalpha}{NewLetters}{`E}
\DeclareMathSymbol{F}{\mathalpha}{NewLetters}{`F}
\DeclareMathSymbol{G}{\mathalpha}{NewLetters}{`G}
\DeclareMathSymbol{H}{\mathalpha}{NewLetters}{`H}
\DeclareMathSymbol{I}{\mathalpha}{NewLetters}{`I}
\DeclareMathSymbol{J}{\mathalpha}{NewLetters}{`J}
\DeclareMathSymbol{K}{\mathalpha}{NewLetters}{`K}
\DeclareMathSymbol{L}{\mathalpha}{NewLetters}{`L}
\DeclareMathSymbol{M}{\mathalpha}{NewLetters}{`M}
\DeclareMathSymbol{N}{\mathalpha}{NewLetters}{`N}
\DeclareMathSymbol{O}{\mathalpha}{NewLetters}{`O}
\DeclareMathSymbol{P}{\mathalpha}{NewLetters}{`P}
\DeclareMathSymbol{Q}{\mathalpha}{NewLetters}{`Q}
\DeclareMathSymbol{R}{\mathalpha}{NewLetters}{`R}
\DeclareMathSymbol{S}{\mathalpha}{NewLetters}{`S}
\DeclareMathSymbol{T}{\mathalpha}{NewLetters}{`T}
\DeclareMathSymbol{U}{\mathalpha}{NewLetters}{`U}
\DeclareMathSymbol{V}{\mathalpha}{NewLetters}{`V}
\DeclareMathSymbol{W}{\mathalpha}{NewLetters}{`W}
\DeclareMathSymbol{X}{\mathalpha}{NewLetters}{`X}
\DeclareMathSymbol{Y}{\mathalpha}{NewLetters}{`Y}
\DeclareMathSymbol{Z}{\mathalpha}{NewLetters}{`Z}
}
\AtBeginDocument{%
\DeclareMathSymbol{(}{\mathopen} {operators}{"28}%
\DeclareMathSymbol{)}{\mathclose}{operators}{"29}%
\DeclareMathSymbol{[}{\mathopen} {operators}{"5B}%
\DeclareMathSymbol{]}{\mathclose}{operators}{"5D}%

\DeclareSymbolFont{xsymbols}     {OMS}{cmsy}{m}{n}
\DeclareMathSymbol{\ddagger}{\mathbin}{xsymbols}{"7A}
\DeclareMathSymbol{\dagger}{\mathbin}{xsymbols}{"79}


\DeclareMathVersion{regular}
\SetSymbolFont{operators}{regular}{T1}{formata}{n}{n}
%\SetSymbolFont{letters}     {regular}{MY1}{mtt}{m}{it}
\SetSymbolFont{NewLetters} {regular}{T1}{formata}{n}{it}
%\SetSymbolFont{symbols}     {regular}{MY2}{mtt}{m}{n}
%\SetSymbolFont{largesymbols}{regular}{MY3}{mtt}{m}{n}
\SetMathAlphabet{\mathrm}{regular}{T1}{formata}{n}{n}
\SetMathAlphabet{\mathit}{regular}{T1}{formata}{n}{it}
\SetMathAlphabet{\mathbf}{regular}{T1}{formata}{m}{n}
\SetMathAlphabet{\mathtt}{regular}{OT1}{pcr}{m}{n}
\newcommand\regularmath{\@nomath\regularmath\mathversion{regular}}

\DeclareMathVersion{medium}
\SetSymbolFont{operators}{medium}{T1}{formata}{m}{n}
%\SetSymbolFont{letters}     {medium}{MY1}{mtt}{b}{it}
\SetSymbolFont{NewLetters} {medium}{T1}{formata}{m}{it}
%\SetSymbolFont{symbols}     {medium}{MY2}{mtt}{b}{n}
%\SetSymbolFont{largesymbols}{medium}{MY3}{mtt}{b}{n}
\SetMathAlphabet{\mathrm}{medium}{T1}{formata}{m}{n}
\SetMathAlphabet{\mathit}{medium}{T1}{formata}{m}{it}
\SetMathAlphabet{\mathbf}{medium}{T1}{formata}{b}{n}
\SetMathAlphabet{\mathtt}{medium}{OT1}{pcr}{b}{n}
\newcommand\mediummath{\@nomath\mediummath\mathversion{medium}}

\DeclareMathVersion{black}
\SetSymbolFont{operators}{black}{T1}{formata}{b}{n}
%\SetSymbolFont{letters}     {black}{MY1}{mtt}{ub}{it}
\SetSymbolFont{NewLetters} {black}{T1}{formata}{b}{it}
%\SetSymbolFont{symbols}     {black}{MY2}{mtt}{ub}{n}
%\SetSymbolFont{largesymbols}{black}{MY3}{mtt}{ub}{n}
\SetMathAlphabet{\mathrm}{black}{T1}{formata}{b}{n}
\SetMathAlphabet{\mathit}{black}{T1}{formata}{b}{it}
\SetMathAlphabet{\mathbf}{black}{T1}{formata}{b}{n}
\SetMathAlphabet{\mathtt}{black}{OT1}{pcr}{b}{n}
\newcommand\blackmath{\@nomath\blackmath\mathversion{black}}
}

% GiovanniStd
\DeclareFontFamily{T1}{giovannistd}{}
\DeclareFontShape{T1}{giovannistd}{n}{it}{<->   t1-giovannistd-bookitalic}{}

\def\putfont#1#2#3#4#5#6{\usefont{#1}{#2}{#3}{#4}\fontsize{#5}{#6}\selectfont}

\font\symbfont=t1-formata-regsymb at 6pt
\AtBeginDocument{\gdef\copyright{{\symbfont\char'012}}}
\def\putfont#1#2#3#4#5#6{\usefont{#1}{#2}{#3}{#4}\fontsize{#5}{#6}\selectfont}

\def\textit#1{{\it #1}}%
\def\textbf#1{{\bf #1}}%
\def\historyfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontshape{n}\fontsize{7}{8.4}\selectfont}%formata reg 7pt
\def\doifont{\rmfamily\fontencoding{T1}\fontfamily{giovannistd}\fontseries{n}\fontshape{it}\fontsize{6}{7.2}\selectfont}%giovannistd-bookitalic 6pt
\def\titlefont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{cm}\fontsize{22}{25.4}\selectfont\mediummath}%formata condmed 22pt
\def\authorfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{m}\fontsize{9.9}{12}\selectfont}%formata medium 9.9pt
\def\subtitlefont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{cm}\fontsize{16}{18}\selectfont}%formata medium 16pt
\def\membershipfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{m}\fontsize{9.9}{12}\selectfont}%formata medium italic 9.9pt
\def\addressfont{\rmfamily\fontencoding{T1}\fontfamily{\timesfont}\fontseries{n}\fontsize{6.6}{8}\selectfont}%times roman 6.6pt
\def\correspfont{\rmfamily\fontencoding{T1}\fontfamily{\timesfont}\fontseries{n}\fontsize{7.7}{9.24}\selectfont}%times roman 7.7pt
\def\tfootnotefont{\rmfamily\fontencoding{T1}\fontfamily{\timesfont}\fontseries{n}\fontsize{7.7}{9.24}\selectfont}%times roman 7.7pt
\def\abstractfont{\rmfamily\fontencoding{T1}\fontfamily{\timesfont}\fontseries{n}\fontsize{10}{12}\selectfont}%times roman 10pt
\def\indexfont{\rmfamily\fontencoding{T1}\fontfamily{\timesfont}\fontseries{n}\fontsize{10}{12}\selectfont}%times roman 10pt
\def\bodyfont{\rmfamily\fontencoding{T1}\fontfamily{\timesfont}\fontseries{n}\fontsize{10}{12}\selectfont}%times roman 10pt
\def\abstractheadfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{10}{12}\selectfont}%formata bold 9pt
\def\indexheadfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{10}{12}\selectfont}%formata bold 9pt
\def\sectionAfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{9}{12}\selectfont\blackmath}%formata bold 9pt
\def\sectionBfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{m}\fontshape{it}\fontsize{9}{12}\selectfont\mediummath}%formata mediumitalic 9pt
\def\sectionCfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontsize{9}{12}\selectfont\regularmath}%formata regular 9pt
\def\sectionDfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontshape{it}\fontsize{9}{12}\selectfont\regularmath}%formata italic 9pt
\def\figcapheadfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{7}{8.4}\selectfont}%formata bold 7pt
\def\figcapfont{\def\textit##1{{\sffamily\fontshape{it}\selectfont##1}}\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{m}\fontsize{7}{8.4}\selectfont\mediummath      }%formata medium 7pt
\def\tablecapheadfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{7}{8.4}\selectfont}%formata bold 7pt
\def\tableheadfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{m}\fontsize{7}{8.4}\selectfont\mediummath}%formata medium 7pt
\def\tablecapfont{\def\textit##1{{\sffamily\fontshape{it}\selectfont##1}}\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{m}\fontsize{7}{8.4}\selectfont\mediummath}%formata medium 7pt
\def\tablebodyfont{\def\textit##1{{\sffamily\fontshape{it}\selectfont##1}}\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontsize{7}{8.4}\selectfont\regularmath}%formata regular 7 pt
\def\tablefootfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{cm}\fontsize{7}{8.4}\selectfont\regularmath}%formata regular 7 pt
\def\footervolfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontsize{6}{7}\selectfont}%formata regular 6pt
\def\footerpagefont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontsize{7}{7}\selectfont}%formata regular 7pt
\def\headerfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontsize{7}{7}\selectfont\regularmath}%formata regular 7pt
\def\nheaderfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{9}{9}\selectfont\regularmath}%formata regular 7pt
\def\iheaderfont{\sffamily\fontencoding{T1}\fontseries{m}\fontshape{sl}\fontsize{7}{7}\selectfont}%formata mediumitalic 9pt
\def\referencefont{\rmfamily\fontencoding{T1}\fontfamily{\timesfont}\fontseries{n}\fontsize{7.61}{9}\selectfont}%times roman 7.61pt
\def\biographyheadfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{m}\fontsize{8}{9.6}\selectfont}%times roman 8pt
\def\biographyfont{\rmfamily\fontencoding{T1}\fontfamily{\timesfont}\fontseries{n}\fontsize{8}{9.6}\selectfont}%times roman 8pt

\ifjtehm
\def\correspfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontsize{7}{8}\selectfont}%times roman 7.7pt
\def\tfootnotefont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{n}\fontsize{7}{8}\selectfont}%times roman 7.7pt
\def\abstractheadfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{9}{12}\selectfont}%formata bold 9pt
\def\indexheadfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{9}{12}\selectfont}%formata bold 9pt
\def\titlepageheaderfont{\sffamily\fontencoding{T1}\fontfamily{formata}\fontseries{b}\fontsize{9}{12}\selectfont}%formata bold 9pt
\fi


\AtBeginDocument{%
\def\linenumberfont{\color{black}\normalfont\fontencoding{T1}\fontfamily{\timesfont}\selectfont\tiny}
\gdef\@IEEESAVESTATEfontsize{10}%
\gdef\@IEEESAVESTATEfontbaselineskip{12}%
\gdef\@IEEESAVESTATEfontencoding{T1}%
\gdef\@IEEESAVESTATEfontfamily{\timesfont}%
\gdef\@IEEESAVESTATEfontseries{n}%
\gdef\@IEEESAVESTATEfontshape{n}%
%
\renewcommand{\sfdefault}{formata}%
\renewcommand{\rmdefault}{\timesfont}%
\renewcommand{\ttdefault}{pcr}%
%
% enable Times now - so that all class options can see the correct font families
\fontencoding{T1}\selectfont%
\bodyfont\selectfont%
%\advance\baselineskip by 1pt plus 1pt minus 1pt%
}

\columnsep 6.95mm
\columnwidth 85.29mm
\textwidth 177.53mm
%\textheight 236.23mm
\textheight 672pt
\oddsidemargin=12.76mm
\advance\oddsidemargin by -1in
\evensidemargin=12.76mm
\advance\evensidemargin by -1in
\headsep 0.25in
\advance\headsep by 2.8mm

%Defining Pantone SpotColor for blue
\RequirePackage{color}
\ifjtehm
  \definecolor{accessblue}{cmyk}{.24,1,1,0}
  \definecolor{greycolor}{cmyk}{0,0,0,1}
\else
  \RequirePackage{spotcolor}
  \NewSpotColorSpace{PANTONE}
  \AddSpotColor{PANTONE} {PANTONE3015C} {PANTONE\SpotSpace 3015\SpotSpace C} {1 0.3 0 0.2}
  \SetPageColorSpace{PANTONE}%
  \definecolor{accessblue}{spotcolor}{PANTONE3015C,1.0}%
  \definecolor{greycolor}{cmyk}{0,0,0,.8}
\fi
\definecolor{green}{cmyk}{0,0,0,.1}
\definecolor{black}{cmyk}{0,0,0,1}


%%%
% Page dimensions
%sections
%\def\@seccntformat#1{\csname the#1dis\endcsname\hskip 0.5em\relax}
\def\restoreSection{%
\def\theparagraphdis{\alph{paragraph}:}            % d)
\def\section{\@startsection{section}{1}{1pt}{-1pc plus -1pt minus -1pt}%
              {0.001pt}{\raggedright\color{accessblue}\sectionAfont\uppercase}}%
\def\subsection{\@startsection{subsection}{2}{1pt}{-1pc plus -1pt minus -1pt}%
              {1pt}{\raggedright\color{greycolor}\sectionBfont\uppercase}}%
\def\subsubsection{\@startsection{subsubsection}{3}{1pt}{-1pc plus -1pt minus -1pt}%
              {1pt}{\raggedright\color{greycolor}\sectionCfont\hspace*{-1pt}}}%
\def\paragraph{\@startsection{paragraph}{4}{1pt}{-1pc plus -1pt minus -1pt}%
              {1pt}{\raggedright\color{greycolor}\sectionDfont}}%
}
\restoreSection%
\def\@IEEEprocessthesectionargument#1{%
\@ifmtarg{#1}{%
%\@IEEEappendixsavesection*{{\color{accessblue}\sectionAfont APPENDIX \thesectiondis}}%
\section*{{\color{accessblue}\sectionAfont APPENDIX \thesectiondis}}%
\addcontentsline{toc}{section}{Appendix \thesection}}{%
%\@IEEEappendixsavesection*{{\color{accessblue}\sectionAfont APPENDIX \thesectiondis \\* #1}}%
\section*{{\color{accessblue}\sectionAfont APPENDIX \thesectiondis \\* #1}}%
\addcontentsline{toc}{section}{Appendix \thesection: #1}}}

\renewcommand{\appendix}[1][]{\par%
    % v1.6 keep hyperref's identifiers unique
    \def\theHsection{Appendix.A}%
    % v1.6 adjust hyperref's string name for the section
    \xdef\Hy@chapapp{appendix}%
    \setcounter{section}{0}%
    \setcounter{subsection}{0}%
    \setcounter{subsubsection}{0}%
    \setcounter{paragraph}{0}%
    \def\thesection{}%
    \def\thesectiondis{APPENDIX.}%
    \def\thesubsection{\Alph{subsection}}%
    \refstepcounter{section}% update the \ref counter
%    \@ifmtarg{#1}{\@IEEEappendixsavesection*{{\color{accessblue}\sectionAfont APPENDIX}}%
%                  \addcontentsline{toc}{section}{Appendix}}{%
%             \@IEEEappendixsavesection*{{\color{accessblue}\sectionAfont APPENDIX \\* #1}}%
%             \addcontentsline{toc}{section}{Appendix: #1}}%
    % redefine \section command for appendix
    % leave \section* as is
%    \def\section{\@ifstar{\@IEEEappendixsavesection*}{%
%                    \@IEEEdestroythesectionargument}}% throw out the argument
                                                     % of the normal form
}

\def\appendices{\par%
    % v1.6 keep hyperref's identifiers unique
    \def\theHsection{Appendix.\Alph{section}}%
    % v1.6 adjust hyperref's string name for the section
    \xdef\Hy@chapapp{appendix}%
    \setcounter{section}{-1}% we want \refstepcounter to use section 0
    \setcounter{subsection}{0}%
    \setcounter{subsubsection}{0}%
    \setcounter{paragraph}{0}%
    \def\thesection{\Alph{section}}%
    \def\thesectiondis{APPENDIX \Alph{section}}%
    \refstepcounter{section}% update the \ref counter
    \setcounter{section}{0}% NEXT \section will be the FIRST appendix
    % redefine \section command for appendices
    % leave \section* as is
%    \def\section{\@ifstar{\@IEEEappendixsavesection*}{% process the *-form
%                    \refstepcounter{section}% or is a new section so,
%                    \@IEEEprocessthesectionargument}}% process the argument
                                                 % of the normal form
}


%%%
%Captions


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555555555555555555555555
%figures
\def\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\figurename{FIGURE}
\def\fnum@figure{\figurename~\thefigure}

\define@key{figkeys}{topskip}{\def\fig@topskip{#1}} % skip above image
\define@key{figkeys}{midskip}{\def\fig@midskip{#1}} % skip between image and caption
\define@key{figkeys}{botskip}{\def\fig@botskip{#1}} % skip below caption
\setkeys{figkeys}{topskip=0pt,midskip=0pt,botskip=0pt}%

\newsavebox\figbox
\def\Figure{\@ifnextchar[{\@Figure}{\@Figure[t!]}}
\def\@Figure[#1]{\@ifnextchar({\@@Figure[#1]}{\@@Figure[#1](topskip=0pt)}}
\def\@@Figure[#1](#2){\@ifnextchar[{\@@@Figure[#1](#2)}{\@@@Figure[#1](#2)[scale=1]}}
%%%%%%%%%%%%
\def\@@@Figure[#1](#2)[#3]#4#5{%
      \setkeys{figkeys}{#2}% Set new keys
      \setbox\figbox\hbox{\includegraphics[#3]{#4}}%
      \xdef\xfigwd{\the\wd\figbox}%
      \ifdim\wd\figbox<\columnwidth% Columnwidth Figure
        \begin{figure}[#1]%
          \centering%
          \vspace*{5pt}%
          \vspace*{\fig@topskip}%
%          \centerline{\epsfframe{\begin{tabular}{@{}c@{}}
%          \epsfxsize=\epsfxsize \hphantom{\epsfbox{#4}} \\ %%% NEW
%          \epsfysize=\epsfysize \vphantom{\epsfbox{#4}} \end{tabular}}}
          \includegraphics[#3]{#4}%
          \vspace*{\fig@midskip}%
          \caption{#5}%
          \vspace*{\fig@botskip}%
        \end{figure}
      \else% Wide Figure
        \begin{figure*}[#1]%
          \centering%
          \vspace*{4pt}%
          \vspace*{\fig@topskip}%
%          \centerline{\epsfframe{\begin{tabular}{@{}c@{}}
%          \epsfxsize=\epsfxsize \hphantom{\epsfbox{#4}} \\ %%% NEW
%          \epsfysize=\epsfysize \vphantom{\epsfbox{#4}} \end{tabular}}}
          \includegraphics[#3]{#4}%
          \vspace*{\fig@midskip}%
          \caption{#4}%
          \vspace*{\fig@botskip}%
        \end{figure*}
      \fi%
}



\endinput


%%
%% End of file `rans.cls'.
